@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@200&display=swap');

*{ 
    padding: 0;
    margin: 0%;
    font-family: 'Roboto Slab', serif;
    box-sizing: border-box;
    list-style-type: none;
}


body{
    background-color: #d4bfaa57;

}


.menu{
    display: flex;
    padding-top: 1.5%;
    padding-left: 3%;
    align-items: center;
    justify-content: space-between; 
}

.menu ul{
    
    display: flex;
    flex-wrap: wrap;
    gap: 1.7em;
}


.menu a{
    text-decoration: none;
    color: black;
    font-weight:bold;
    font-size: clamp(15px, 1.5vw, 55px);
}

.menu a::after{
    content: " ";
    height: 4px;
    width: 0%;
    display: block;
    position: absolute;
    background-color: #A48A6F;
    border-radius: 20px;
}

.menu li:hover{
    
    transform: scale(1.2);
    transform: translateY(-1px);
    transition: 0.2s;
}


.menu a:hover::after{
    width: 100%;
    transition: 0.3s;    
}


.logoDesktop{
    height: 9vh;
    margin-right: 2%;
    border-radius: 50%; 
    transition: 0.5s;
}

.logoDesktop:hover{
    height: 12vh;
    transition: 0.3s;
}

.menuMobile{
    display: none;
}

.navegacaoMobile{
    display: flex;
    flex-direction: column;
    padding: 10px; 
    position: absolute;
    right: 15px;
    z-index: 2;
    border-radius: 100%;
    transition: 1s;
    height: 10%;
    width: 10%;
}

.navegacaoMobile ul{
    padding: 5px;
    border-radius: 5px;
}

.navMob{
    display: none;
}

.open{
    display: block;
    transition: 0.5s;
}

.telaCheia{
    top: 0;
    right: 0;
    border-radius: 0%;
    width: 100vw;
    height: 100vh;
    background-color: #d4bfaa;    
    transition:0.5s;
}

.navegacaoMobile li{
    margin-bottom: 20px;
    text-align: center;
    margin: 70px;  

}

.navegacaoMobile a{
    text-decoration: none;
    color: white;
    font-weight: bold;
    font-size: 3.5vh;
}



.botaoMenu{
    border: none;
    align-self: self-end;
    background-color: transparent;
    transition: 1s;
}

.roda{
    transform: rotate(90deg);
    transition: 1s;
}


.vitrine{
    width: 95%;
    margin: 50px auto;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}


::-webkit-scrollbar{
    height: 6px;
    width: 7px;
    background-color: rgba(255, 255, 255, 0);
    
}

::-webkit-scrollbar-thumb{
    
    background-color: rgb(138, 138, 138);
}

.tituloVitrine{
    font-family: 'Roboto Slab', serif;
    font-size: 35px;
    letter-spacing: 4px;
    text-align: center;
    display: block;
    margin-top: 25px;
    margin-bottom: 10px;
}





.produto{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    width: 240px;
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.089);
    transition: 0.2s;
    flex-shrink: 0;
    margin-bottom: 25px;
}



.produto:hover{
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.4);
    transform: translateY(-5px);
    transition: 0.2s;
}



.imgProduto{
    width: 100%;
    border-radius: 10px 10px 0 0;
    object-fit: contain;
}


.nomeProduto{
    text-align: center;
    padding: 2%;
}

.produto p {
 text-align: center;
 padding: 2px;
}

.produto a{
    text-decoration: none;
    color: black;
}


.caixaComprar{
    display: flex;
    justify-content: center;
    margin: 10px;
}

.comprar{
    text-decoration: none;
    color: black;
    border-radius: 100%;
    border: 2px solid #705f4c8e;
}

.comprar img{
    height: 25px;
    margin: 5px;
}


@media(max-width:730px){

    body{

        background-position: 72% 0%;
    }
    

    .menu{
        display: none;
    }

    .menuMobile{
        display: flex;
        justify-content: space-between;
        margin: 15px;
    }

    .logoMobile{
        height: 8vh;
        width: 8vh;
        border-radius: 100%;
    }


    .vitrine{
        width: 100%;
        margin: 50px auto;
        display: flex;
        flex-wrap: nowrap;
        overflow-x: scroll;
        gap: 20px;
    }

    .produto:first-child{
        margin-left: 20px;
    }
    .produto:last-child{
        margin-right: 20px;
    }
}